#include <iostream>
#include <string>
using namespace std;

bool uporedi(string a, string b){
    for(int i=0;i<(a.length());i++){
        if((int)(a[i]) > (int)(b[i]) ){
            return true;
        }else{
            if((int)(a[i]) < (int)(b[i]) ){
                return false;
            }
        }
    }
    return true;
}

int main(){
    long long br1, br2, br3;
    cin >> br1 >> br2 >> br3;
    string a, b, c, d, e, f, max; 
    a = to_string(br1)+to_string(br2)+to_string(br3);
    b = to_string(br1)+to_string(br3)+to_string(br2);
    c = to_string(br2)+to_string(br1)+to_string(br3);
    d = to_string(br2)+to_string(br3)+to_string(br1);
    e = to_string(br3)+to_string(br1)+to_string(br2);
    f = to_string(br3)+to_string(br2)+to_string(br1);
    /*cout << a << endl;
    cout << b << endl;
    cout << c << endl;
    cout << d << endl;
    cout << e << endl;
    cout << f << endl;*/
    max=a;
    if(uporedi(b,max)){
        max=b;
    }
    if(uporedi(c,max)){
        max=c;
    }
    if(uporedi(d,max)){
        max=d;
    }
    if(uporedi(e,max)){
        max=e;
    }
    if(uporedi(f,max)){
        max=f;
    }
    cout << max << endl;
    return 0;
}